# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: cmus.spec,v 1.4 2005/07/13 17:45:07 eugene Exp $

%define name cmus
%define version 1.5.1
%define release alt1

Name: %name
Version: %version
Release: %release
Summary: CMus - C* Music Player
License: GPL
Group: Sound
Url: http://onion.dynserv.net/~timo/index.php?page=Projects/cmus

Source0: %name-%version.tar.bz2

Patch0: cmus-vorbis_includes.patch

# Automatically added by buildreq on Sat Jul 16 2005
BuildRequires: glib2-devel libalsa-devel libarts-devel libflac-devel libid3tag-devel libmad-devel libmodplug-devel libncurses-devel libogg-devel libstdc++-devel libtinfo-devel libvorbis-devel pkgconfig zlib-devel

%description
CMus is a small and fast music player using the ncurses library.
Features
  * Input
    o FLAC
    o Ogg/Vorbis
    o MP3 (libmad)
    o Wav
    o Modules (libmodplug)
  * Output
    o ALSA
    o OSS
    o ARTS
  * MP3 and Ogg streaming (Shoutcast/Icecast)
  * WinAmp / XMMS keys "zxcvb"
  * Can be controlled via UNIX socket
  * Customizable colors
  * Nice vi-style interface with tabulator expansion
  * Background playlist loading
  * Track metadata database makes adding files to playlist very fast.
  * Album/artist modes. Playing within one album or artist.
  * Playlist is always kept sorted.
  * Play queue
  * Directory browser
  * Full UTF-8 support

%description -l ru_RU.UTF-8
CMus - маленький и быстрый музыкальный проигрыватель, использующий библиотеку ncurses.
Особенности
  * Входные форматы:
    o FLAC
    o Ogg/Vorbis
    o MP3 (libmad)
    o Wav
    o Подключаемые модули (libmodplug)
  * Выход:
    o ALSA
    o OSS
    o ARTS
  * Потоковое воспроизведение MP3 и Ogg (Shoutcast/Icecast)
  * Клавиши WinAmp / XMMS "zxcvb"
  * Может управлятся через сокет UNIX
  * Настраиваемые цвета
  * Превосходный интерфейс в стиле vi с поддержкой дополнения строк
  * Фоновая загрузка списков воспроизведения
  * База данных информации о треках делает добавление файлов в список
    очень быстрым
  * Режимы альбом/исполнитель. Воспроизведение целого альбома или
    полностью исполнителя
  * Список воспроизведения всегда отсортирован
  * Очередь воспроизведения
  * Навигация по каталогам
  * Полная поддержка UTF-8


%package in-flac
Summary: FLAC plugin for CMus
Group: Sound

Requires: %name = %version-%release

%description in-flac
CMus is a small and fast music player using the ncurses library.

This package contains FLAC plugin.

%description -l ru_RU.UTF-8 in-flac
CMus - маленький и быстрый музыкальный проигрыватель, использующий библиотеку ncurses.

Этот пакет содержит расширение для воспроизведения FLAC.


%package in-vorbis
Summary: Ogg/Vorbis plugin for CMus
Group: Sound

Requires: %name = %version-%release

%description in-vorbis
CMus is a small and fast music player using the ncurses library.

This package contains Ogg/Vorbis plugin.

%description -l ru_RU.UTF-8 in-vorbis
CMus - маленький и быстрый музыкальный проигрыватель, использующий библиотеку ncurses.

Этот пакет содержит расширение для воспроизведения Ogg/Vorbis.


%package in-modplug
Summary: Ogg/Vorbis plugin for CMus
Group: Sound

Requires: %name = %version-%release

%description in-modplug
CMus is a small and fast music player using the ncurses library.

This package contains modules plugin (libmodplug).

%description -l ru_RU.UTF-8 in-vorbis
CMus - маленький и быстрый музыкальный проигрыватель, использующий библиотеку ncurses.

Этот пакет содержит расширение для подключаемых модулей (libmodplug).


%package out-arts
Summary: ARTS output plugin for CMus
Group: Sound

Requires: %name = %version-%release

%description out-arts
CMus is a small and fast music player using the ncurses library.

This package contains ARTS output plugin.

%description -l ru_RU.UTF-8 out-arts
CMus - маленький и быстрый музыкальный проигрыватель, использующий библиотеку ncurses.

Этот пакет содержит расширение для воспроизведения через ARTS.


%prep
%setup -q
%patch0 -p1


%build
CFLAGS="${CFLAGS:--pipe -Wall -O2}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:--pipe -Wall -O2}" ; export CXXFLAGS
./configure \
        --prefix=%prefix \
        --enable-flac \
        --enable-mad \
        --enable-modplug \
        --enable-vorbis \
        --enable-wav \
        --enable-alsa \
        --enable-arts \
        --enable-oss
%make_build


%install
make DESTDIR=%buildroot install

# Menu entry
%__mkdir_p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(cmus):\
 	command="%_bindir/%name" needs="text" \
  	section="Multimedia/Sound" title="CMus" \
        longtitle="CMus - C* Music Player"
EOF


%post
%update_menus


%postun
%clean_menus


%files
%_bindir/cmus*
%dir %_libdir/%name
%dir %_libdir/%name/ip
%dir %_libdir/%name/op
%_libdir/%name/ip/mad.so
%_libdir/%name/ip/wav.so
%_libdir/%name/op/alsa.so
%_libdir/%name/op/oss.so
%_menudir/%name
#%_datadir/%name
%doc AUTHORS ChangeLog README TODO doc/cmus.html example


%files in-flac
%_libdir/%name/ip/flac.so


%files in-vorbis
%_libdir/%name/ip/vorbis.so


%files in-modplug
%_libdir/%name/ip/modplug.so


%files out-arts
%_libdir/%name/op/arts.so


%changelog
* Wed Jul 13 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.5.1-alt1
- New version, bugfix release
- All fixes added in 1.5.0-alt2 merged into upstream
- Fixed vorbis includes

* Mon Jul 11 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.5.0-alt2
- Fixes from GIT repository:
  * Don't spawn zombie processes
  * Fix mem leak in do_http_get
  * Reorder *_exit() calls
  * Misc cleanups
  * Simplify db.c

* Fri Jul 08 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.5.0-alt1
- First build for Sisyphus

